# $Revision: 1.5 $, $Date: 2012/04/06 17:45:13 $
Summary:	Library to access Last.fm features
Name:		liblastfm
Version:	0.3.3
Release:	1
License:	GPL v3
Group:		Libraries
Source0:	http://github.com/mxcl/liblastfm/tarball/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	fe339bf46aefc515c251200d10262f79
Patch0:		%{name}-ruby19.patch
URL:		http://github.com/mxcl/liblastfm/
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtTest-devel
BuildRequires:	QtXml-devel
BuildRequires:	fftw3-single-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	ruby
BuildRequires:	ruby-modules
BuildRequires:	sed >= 4.0
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liblastfm is a collection of libraries to help you integrate Last.fm
services into your rich desktop software. It is officially supported
software developed by Last.fm staff.

%package devel
Summary:	Header files for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name}.

%description devel -l pl.UTF-8
Pliki nagłówkowe %{name}.

%prep
%setup -q -n mxcl-%{name}-1c739eb
%patch0 -p0

find -name *.pro | xargs %{__sed} -i -e "/target.path/ s/lib/%{_lib}/g"

%build
%configure \
	--prefix %{_prefix} \
	--libdir %{_libdir}
%{__make} \
	CXX="%{__cc}" \
	CXXFLAGS="%{rpmcxxflags} -fno-operator-names -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/%{name}.so.*.*
%attr(755,root,root) %ghost %{_libdir}/%{name}.so.0
%attr(755,root,root) %{_libdir}/%{name}_fingerprint.so.*.*
%attr(755,root,root) %ghost %{_libdir}/%{name}_fingerprint.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}.so
%attr(755,root,root) %{_libdir}/%{name}_fingerprint.so
%{_includedir}/lastfm
%{_includedir}/lastfm.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liblastfm.spec,v $
Revision 1.5  2012/04/06 17:45:13  glen
- cxx/cxxflags

Revision 1.4  2012/01/28 13:43:37  atler
- up to 0.3.3
- project moved to github

Revision 1.3  2009/11/14 22:53:06  zbyniu
- BR: libsamplerate-devel, pkgconfig, qt4-build, which

Revision 1.2  2009/09/24 07:55:18  paszczus
- added missing BR: fftw3-single-devel
- fixed %files and adaptarized
- rel 1

Revision 1.1  2009/09/20 14:54:27  arvenil
- init
